Subject: bug#44128: closed (Re: bug#47800: bug#44128: [feature/native-comp] When invoking a symlink to the 'emacs' binary Emacs fails to start)

From: [email-masked] (GNU bug Tracking System)
Date: Mon, 19 Apr 2021 14:53:02 +0000

Your bug report

#44128: [feature/native-comp]; When invoking a symlink to the 'emacs' binary Emacs fails to start

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
44128: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=44128
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#47800: bug#44128: [feature/native-comp] When invoking a symlink to the 'emacs' binary Emacs fails to start
From: Eli Zaretskii <[email-masked]>
To: Jonas Bernoulli <[email-masked]>
Cc: [email-masked], [email-masked], [email-masked], [email-masked], [email-masked], [email-masked]
Date: Mon, 19 Apr 2021 17:52:02 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> >> This time it compiled; but with the following warnings, and
> >> when I run it from the installed location (whether using the
> >> absolute path or a symlink) I get a seg fault / core dump:
> >
> > Sorry about that.  Next try, please.
> 
> Now it works for me too.
> Thanks!

Thanks, so I think we can close this issue now.  Thanks to everybody
who reported their results and tried my buggy code.

Subject: [feature/native-comp]
From: Jonas Bernoulli <[email-masked]>
To: [email-masked], Andrea Corallo <[email-masked]>
Date: Wed, 21 Oct 2020 23:58:59 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

Hello Andrea

[We talked about this briefly on Twitter;
 https://twitter.com/magit_emacs/status/1313534891506757635.]

When running gccemacs from the git repository without installing but by
using a symlink like e.g. /usr/local/bin/emacs -> ~/git/emacs/src/emacs,
then that results in an error like:

  emacs: /usr/local/bin/../native-lisp/<snip>.eln: cannot open shared
  object file: No such file or directory

You mentioned that this happens because code in pdump[er].c just relies
on invocation-directory and that you are wonder whether symlinks should
be followed to address this.

  I think they should. :D
  Please have a look.
  Thanks!
  Jonas